#!/usr/bin/env python
"Background Daemon"
import time
import logging

from mycroft_bus_client import MessageBusClient

import config
from daemon import Daemon
from plugins import plugins

def main():
    "Main function"
    logging.basicConfig(level=logging.DEBUG)
    mycroft = MessageBusClient()
    mycroft.run_in_thread()
    daemon = Daemon(config.OSD_URL, config.CAR_API_URL, mycroft)
    for plugin in plugins:
        daemon.register_plugin(plugin)
    while True:
        daemon.check_all()
        time.sleep(config.DELAY)

if __name__ == "__main__":
    main()
